@charset "utf-8";


$primary: hsl(348, 100%, 30%);
$link: hsl(348, 100%, 30%);

@import "~bulma/bulma";

.custom-meter {
    background-color: $background;
    box-shadow: inset 0 1px 2px hsl(0deg 0% 0% / 10%);
    color: $white;
    font-size: 12px;
    line-height: 20px;
}

.custom-meter-partial {
    background-color: $blue;
    min-width: fit-content;
    box-shadow: inset 0 -1px 0 hsl(0deg 0% 0% / 15%);
    padding: 0 4px;

}
.custom-meter-success {
    background-color: $green;
    width: 100%;
    box-shadow: inset 0 -1px 0 hsl(0deg 0% 0% / 15%);
}

.birthdays-table {
    column-fill: balance;
    column-width: 25ch;
    column-gap: 3em;
}

.birthdays-headline {
    border-bottom: 0.1em solid; 
    width: 5ch; 
    border-color: #aaaaaa;
}

.birthdays-day {
    break-inside: avoid-column;
    margin-bottom: 0.5em;
}

.birthdays-buttons {
    display: block;
    margin-left: auto;  
    margin-right: auto;
    width: fit-content;
    margin-top: 1em;
}

.birthdays-buttons>a {
    margin-bottom: 0.25em;
}

.event-poster{
    max-height: 20em; 
    display: block; 
    margin-left: auto; 
    margin-right: auto;
}

.activity-poster{
    width: fit-content;
}

.activity-poster>img {
    max-width: 20em;
    max-height: 25em;
    display: block; 
    margin-left: auto; 
    margin-right: auto;
}

.groups-headlines {
    border-bottom: 0.1em solid $primary;
}

.groups-block {
    border:0.1ch solid #aaaaaa; 
    padding:0.2em; 
    margin:0.5em;
    margin-bottom: 1.5em;
    width: 15em;
}

.groups-block>img {
    height: 11em;
    width: inherit;
    object-fit: cover;
}

.banner-title {
    border-bottom: 1em solid $primary;
}

.banner-title .title{
    color: white;
    text-shadow: 0 0 0.2em $black;
    font-size: 3em;
}

.group-underline {
    border-bottom: 0.15em solid $primary;
}

.group-block-text {
    height: 11em;
    position: relative;
}

.group-block-text>a {
    position: absolute; bottom: 0; right: 0;
}